summaryrefslogtreecommitdiff
path: root/debian/tests/runtime-libs
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2019-11-18 15:53:29 +0300
committerIgor Pashev <pashev.igor@gmail.com>2019-11-18 15:53:29 +0300
commit8f6c4b0033c72f8ac14694c419a99458339dd6a9 (patch)
tree06c106e622a58100aa85a381b9b65d222b076df4 /debian/tests/runtime-libs
parent42156b5190f4fa150e1fab6777eb81e69d4db8c9 (diff)
downloadgcc-9-debian.tar.gz
Import gcc-9 (9.2.1-19)debian/9.2.1-19debian
Diffstat (limited to 'debian/tests/runtime-libs')
-rwxr-xr-xdebian/tests/runtime-libs31
1 files changed, 31 insertions, 0 deletions
diff --git a/debian/tests/runtime-libs b/debian/tests/runtime-libs
new file mode 100755
index 0000000..e4e9fc6
--- /dev/null
+++ b/debian/tests/runtime-libs
@@ -0,0 +1,31 @@
+#!/bin/sh
+# autopkgtest check: start a "simple" program and check that
+# dynamic loading of modules works
+
+set -e
+
+
+WORKDIR=$(mktemp -d)
+trap "rm -rf $WORKDIR" 0 INT QUIT ABRT PIPE TERM
+cd $WORKDIR
+
+echo "Running exexutable linked with libgcc and libstdc++ (apt)..."
+if [ -x /usr/bin/apt ]; then
+ apt=/usr/bin/apt
+elif [ -x /bin/apt ]; then
+ apt=/bin/apt
+else
+ echo "apt not found"
+ exit 1
+fi
+
+ldd $apt
+apt show libgcc1 libstdc++6
+
+echo "Running dynamically linked executable (python3)..."
+python3 -c 'print("Hello World!")'
+echo "OK"
+
+echo "Loading extension module..."
+python3 -c 'import _hashlib; print(_hashlib.__dict__)'
+echo "OK"